package com.ruoyi.page.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 报警事件对象 alarm
 *
 * @author ruoyi
 * @date 2024-05-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class Alarm extends BaseEntity {

    private static final long serialVersionUID = 682569575060211748L;
    /**
     * 主键id
     */
    private Long emergencyEventId;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long emergencyEventSource;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long emergencyEventStatus;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long warnResponseStatus;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long emergencyResponseStatus;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String emergencyEventTitle;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long emergencyEventType;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long emergencyEventLevel;

    /**
     * 报警时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "报警时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date emergencyEventTime;

    /**
     * 报警内容
     */
    @Excel(name = "报警内容")
    private String emergencyEventDesc;

    /**
     * 报警地址
     */
    @Excel(name = "报警地址")
    private String emergencyEventAddress;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String emergencyEventArea;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private BigDecimal emergencyEventLon;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private BigDecimal emergencyEventLat;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String submitUnit;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String submitUnitContact;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String submitUnitTelephone;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String reportPerson;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String reportPersonTelephone;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String fileUrls;

    /**
     * 是否删除 0未删除 1删除
     */
    private Integer delFlag;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String sendOutTimes;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long groupId;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long isRehearsal;

    /**
     * 报警电话
     */
    @Excel(name = "报警电话")
    private String alarmPhoneNumber;

    /**
     * 源id
     */
    @Excel(name = "源id")
    private String sourceId;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long isJudged;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String eventDetail;

    /**
     * 预警大类
     */
    @Excel(name = "预警大类")
    private String aiClass;

    /**
     * 预警小类
     */
    @Excel(name = "预警小类")
    private String aiClass2;

    /**
     * 紧急程度
     */
    @Excel(name = "紧急程度")
    private String aiLevel;

    /**
     * 紧急系数
     */
    @Excel(name = "紧急系数")
    private BigDecimal aiNum;

    /**
     * 120的event_id
     */
    @ApiModelProperty(value = "120的event_id")
    @TableField(value = "ai_120_id")
    private String ai120Id;
}
